
package de.ivu.elect.presentation.kandidatur.table;

import java.util.ArrayList;
import java.util.Collection;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.business.staat.entity.StaatConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class KandidaturGewaehltKandidaturStaatsangehoerigkeitColumn extends AbstractKandidaturGewaehltKandidaturColumn {

  private static final long serialVersionUID = 1L;

  public KandidaturGewaehltKandidaturStaatsangehoerigkeitColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.COLLECTION;
  }

  @Override
  public String getHeader() {
    return getMessage(StaatConstants.MESSAGE_KEY_NAME_STAATSANGEHOERIGKEIT_EINZAHL);
  }

  @Override
  public Object getValue(Kandidatur kandidatur) {
    Collection<String> result = new ArrayList<>();

    for (Staat staatsangehoerigkeit : kandidatur.getStaatsangehoerigkeitenSorted()) {
      result.add(staatsangehoerigkeit.getNameStaatsangehoerigkeit());
    }

    return result;
  }
}
